欢迎光临
够嗨才有趣儿

解决阿里云等国内服务器无法自动更新WordPress的问题

很多像嗨趣儿一样想要稳定一点的站长,都会把WordPress博客放在在国内服务器上,比如本站就搭建在阿里云上。我们都知道放在国外的话WordPress会经常出现一些问题,但是最近却发现在国内 WordPress 会出现自动更新失败的问题,报错内容可能是ERR_SPDY_PROTOCOL_ERROR。

其实这通常是IDC服务商屏蔽了wordpress官方服务器的缘故,我所知道的阿里云、腾讯云普遍这样,于是除了手动下载安装包覆盖的方式,五福吧又发现了下面这个方法可以解决。

使用代理服务器

打开 wp-config.php 文件,在底部增加以下代码:

define('WP_PROXY_HOST', 'us.centos.bz');define('WP_PROXY_PORT', '31281');12

WordPress升级时显示另一项更新正在进行

这是由于在升级Wordpress时,Wordpress会在数据库wp_options表中增加core_updater.lock记录。如中途打断Wordpress升级,这个记录会留在数据库中。当下次升级时,Wordpress检测到此记录的存在就会返回”另一更新正在进行”。可通过以下办法解决:

登陆服务器WordPress数据库,假设表前缀是wp,执行下面这条SQL语句:

delete from wp_options where option_name='core_updater.lock';

以上内容基本上就能解决国内主机不能自动更新WordPress的问题,如果还有其他方面的问题,欢迎给五福吧留言讨论。

历史上的今天:

赞(0) 打赏
未经允许不得转载:嗨趣儿 » 解决阿里云等国内服务器无法自动更新WordPress的问题
分享到: 更多 (0)
嗨趣儿公众号

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

够嗨才有趣!

福利导航每日福利TOP100

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏